Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network153.4.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
153.4.64.0
Broadcast address
153.4.127.255
First usable
153.4.64.1
Last usable
153.4.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
B (default /16)
As numbers
Hex 99044000 · Integer 2567192576 to 2567208959
Reverse DNS zones
64.4.153.in-addr.arpa
65.4.153.in-addr.arpa
66.4.153.in-addr.arpa
67.4.153.in-addr.arpa
68.4.153.in-addr.arpa
69.4.153.in-addr.arpa
70.4.153.in-addr.arpa
71.4.153.in-addr.arpa
72.4.153.in-addr.arpa
73.4.153.in-addr.arpa
74.4.153.in-addr.arpa
75.4.153.in-addr.arpa
76.4.153.in-addr.arpa
77.4.153.in-addr.arpa
78.4.153.in-addr.arpa
79.4.153.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011001.00000100.01000000.00000000153.4.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network10011001.00000100.01000000.00000000153.4.64.0
Broadcast10011001.00000100.01111111.11111111153.4.127.255
Split into smaller subnets/29

153.4.64.0/18 makes 2,048 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1153.4.64.0/29153.4.64.1 to 153.4.64.6153.4.64.76
2153.4.64.8/29153.4.64.9 to 153.4.64.14153.4.64.156
3153.4.64.16/29153.4.64.17 to 153.4.64.22153.4.64.236
4153.4.64.24/29153.4.64.25 to 153.4.64.30153.4.64.316
5153.4.64.32/29153.4.64.33 to 153.4.64.38153.4.64.396
6153.4.64.40/29153.4.64.41 to 153.4.64.46153.4.64.476
7153.4.64.48/29153.4.64.49 to 153.4.64.54153.4.64.556
8153.4.64.56/29153.4.64.57 to 153.4.64.62153.4.64.636
9153.4.64.64/29153.4.64.65 to 153.4.64.70153.4.64.716
10153.4.64.72/29153.4.64.73 to 153.4.64.78153.4.64.796
11153.4.64.80/29153.4.64.81 to 153.4.64.86153.4.64.876
12153.4.64.88/29153.4.64.89 to 153.4.64.94153.4.64.956
13153.4.64.96/29153.4.64.97 to 153.4.64.102153.4.64.1036
14153.4.64.104/29153.4.64.105 to 153.4.64.110153.4.64.1116
15153.4.64.112/29153.4.64.113 to 153.4.64.118153.4.64.1196
16153.4.64.120/29153.4.64.121 to 153.4.64.126153.4.64.1276
17153.4.64.128/29153.4.64.129 to 153.4.64.134153.4.64.1356
18153.4.64.136/29153.4.64.137 to 153.4.64.142153.4.64.1436
19153.4.64.144/29153.4.64.145 to 153.4.64.150153.4.64.1516
20153.4.64.152/29153.4.64.153 to 153.4.64.158153.4.64.1596
21153.4.64.160/29153.4.64.161 to 153.4.64.166153.4.64.1676
22153.4.64.168/29153.4.64.169 to 153.4.64.174153.4.64.1756
23153.4.64.176/29153.4.64.177 to 153.4.64.182153.4.64.1836
24153.4.64.184/29153.4.64.185 to 153.4.64.190153.4.64.1916
25153.4.64.192/29153.4.64.193 to 153.4.64.198153.4.64.1996
26153.4.64.200/29153.4.64.201 to 153.4.64.206153.4.64.2076
27153.4.64.208/29153.4.64.209 to 153.4.64.214153.4.64.2156
28153.4.64.216/29153.4.64.217 to 153.4.64.222153.4.64.2236
29153.4.64.224/29153.4.64.225 to 153.4.64.230153.4.64.2316
30153.4.64.232/29153.4.64.233 to 153.4.64.238153.4.64.2396
31153.4.64.240/29153.4.64.241 to 153.4.64.246153.4.64.2476
32153.4.64.248/29153.4.64.249 to 153.4.64.254153.4.64.2556
33153.4.65.0/29153.4.65.1 to 153.4.65.6153.4.65.76
34153.4.65.8/29153.4.65.9 to 153.4.65.14153.4.65.156
35153.4.65.16/29153.4.65.17 to 153.4.65.22153.4.65.236
36153.4.65.24/29153.4.65.25 to 153.4.65.30153.4.65.316
37153.4.65.32/29153.4.65.33 to 153.4.65.38153.4.65.396
38153.4.65.40/29153.4.65.41 to 153.4.65.46153.4.65.476
39153.4.65.48/29153.4.65.49 to 153.4.65.54153.4.65.556
40153.4.65.56/29153.4.65.57 to 153.4.65.62153.4.65.636
41153.4.65.64/29153.4.65.65 to 153.4.65.70153.4.65.716
42153.4.65.72/29153.4.65.73 to 153.4.65.78153.4.65.796
43153.4.65.80/29153.4.65.81 to 153.4.65.86153.4.65.876
44153.4.65.88/29153.4.65.89 to 153.4.65.94153.4.65.956
45153.4.65.96/29153.4.65.97 to 153.4.65.102153.4.65.1036
46153.4.65.104/29153.4.65.105 to 153.4.65.110153.4.65.1116
47153.4.65.112/29153.4.65.113 to 153.4.65.118153.4.65.1196
48153.4.65.120/29153.4.65.121 to 153.4.65.126153.4.65.1276
49153.4.65.128/29153.4.65.129 to 153.4.65.134153.4.65.1356
50153.4.65.136/29153.4.65.137 to 153.4.65.142153.4.65.1436
51153.4.65.144/29153.4.65.145 to 153.4.65.150153.4.65.1516
52153.4.65.152/29153.4.65.153 to 153.4.65.158153.4.65.1596
53153.4.65.160/29153.4.65.161 to 153.4.65.166153.4.65.1676
54153.4.65.168/29153.4.65.169 to 153.4.65.174153.4.65.1756
55153.4.65.176/29153.4.65.177 to 153.4.65.182153.4.65.1836
56153.4.65.184/29153.4.65.185 to 153.4.65.190153.4.65.1916
57153.4.65.192/29153.4.65.193 to 153.4.65.198153.4.65.1996
58153.4.65.200/29153.4.65.201 to 153.4.65.206153.4.65.2076
59153.4.65.208/29153.4.65.209 to 153.4.65.214153.4.65.2156
60153.4.65.216/29153.4.65.217 to 153.4.65.222153.4.65.2236
61153.4.65.224/29153.4.65.225 to 153.4.65.230153.4.65.2316
62153.4.65.232/29153.4.65.233 to 153.4.65.238153.4.65.2396
63153.4.65.240/29153.4.65.241 to 153.4.65.246153.4.65.2476
64153.4.65.248/29153.4.65.249 to 153.4.65.254153.4.65.2556
65153.4.66.0/29153.4.66.1 to 153.4.66.6153.4.66.76
66153.4.66.8/29153.4.66.9 to 153.4.66.14153.4.66.156
67153.4.66.16/29153.4.66.17 to 153.4.66.22153.4.66.236
68153.4.66.24/29153.4.66.25 to 153.4.66.30153.4.66.316
69153.4.66.32/29153.4.66.33 to 153.4.66.38153.4.66.396
70153.4.66.40/29153.4.66.41 to 153.4.66.46153.4.66.476
71153.4.66.48/29153.4.66.49 to 153.4.66.54153.4.66.556
72153.4.66.56/29153.4.66.57 to 153.4.66.62153.4.66.636
73153.4.66.64/29153.4.66.65 to 153.4.66.70153.4.66.716
74153.4.66.72/29153.4.66.73 to 153.4.66.78153.4.66.796
75153.4.66.80/29153.4.66.81 to 153.4.66.86153.4.66.876
76153.4.66.88/29153.4.66.89 to 153.4.66.94153.4.66.956
77153.4.66.96/29153.4.66.97 to 153.4.66.102153.4.66.1036
78153.4.66.104/29153.4.66.105 to 153.4.66.110153.4.66.1116
79153.4.66.112/29153.4.66.113 to 153.4.66.118153.4.66.1196
80153.4.66.120/29153.4.66.121 to 153.4.66.126153.4.66.1276
81153.4.66.128/29153.4.66.129 to 153.4.66.134153.4.66.1356
82153.4.66.136/29153.4.66.137 to 153.4.66.142153.4.66.1436
83153.4.66.144/29153.4.66.145 to 153.4.66.150153.4.66.1516
84153.4.66.152/29153.4.66.153 to 153.4.66.158153.4.66.1596
85153.4.66.160/29153.4.66.161 to 153.4.66.166153.4.66.1676
86153.4.66.168/29153.4.66.169 to 153.4.66.174153.4.66.1756
87153.4.66.176/29153.4.66.177 to 153.4.66.182153.4.66.1836
88153.4.66.184/29153.4.66.185 to 153.4.66.190153.4.66.1916
89153.4.66.192/29153.4.66.193 to 153.4.66.198153.4.66.1996
90153.4.66.200/29153.4.66.201 to 153.4.66.206153.4.66.2076
91153.4.66.208/29153.4.66.209 to 153.4.66.214153.4.66.2156
92153.4.66.216/29153.4.66.217 to 153.4.66.222153.4.66.2236
93153.4.66.224/29153.4.66.225 to 153.4.66.230153.4.66.2316
94153.4.66.232/29153.4.66.233 to 153.4.66.238153.4.66.2396
95153.4.66.240/29153.4.66.241 to 153.4.66.246153.4.66.2476
96153.4.66.248/29153.4.66.249 to 153.4.66.254153.4.66.2556
97153.4.67.0/29153.4.67.1 to 153.4.67.6153.4.67.76
98153.4.67.8/29153.4.67.9 to 153.4.67.14153.4.67.156
99153.4.67.16/29153.4.67.17 to 153.4.67.22153.4.67.236
100153.4.67.24/29153.4.67.25 to 153.4.67.30153.4.67.316
101153.4.67.32/29153.4.67.33 to 153.4.67.38153.4.67.396
102153.4.67.40/29153.4.67.41 to 153.4.67.46153.4.67.476
103153.4.67.48/29153.4.67.49 to 153.4.67.54153.4.67.556
104153.4.67.56/29153.4.67.57 to 153.4.67.62153.4.67.636
105153.4.67.64/29153.4.67.65 to 153.4.67.70153.4.67.716
106153.4.67.72/29153.4.67.73 to 153.4.67.78153.4.67.796
107153.4.67.80/29153.4.67.81 to 153.4.67.86153.4.67.876
108153.4.67.88/29153.4.67.89 to 153.4.67.94153.4.67.956
109153.4.67.96/29153.4.67.97 to 153.4.67.102153.4.67.1036
110153.4.67.104/29153.4.67.105 to 153.4.67.110153.4.67.1116
111153.4.67.112/29153.4.67.113 to 153.4.67.118153.4.67.1196
112153.4.67.120/29153.4.67.121 to 153.4.67.126153.4.67.1276
113153.4.67.128/29153.4.67.129 to 153.4.67.134153.4.67.1356
114153.4.67.136/29153.4.67.137 to 153.4.67.142153.4.67.1436
115153.4.67.144/29153.4.67.145 to 153.4.67.150153.4.67.1516
116153.4.67.152/29153.4.67.153 to 153.4.67.158153.4.67.1596
117153.4.67.160/29153.4.67.161 to 153.4.67.166153.4.67.1676
118153.4.67.168/29153.4.67.169 to 153.4.67.174153.4.67.1756
119153.4.67.176/29153.4.67.177 to 153.4.67.182153.4.67.1836
120153.4.67.184/29153.4.67.185 to 153.4.67.190153.4.67.1916
121153.4.67.192/29153.4.67.193 to 153.4.67.198153.4.67.1996
122153.4.67.200/29153.4.67.201 to 153.4.67.206153.4.67.2076
123153.4.67.208/29153.4.67.209 to 153.4.67.214153.4.67.2156
124153.4.67.216/29153.4.67.217 to 153.4.67.222153.4.67.2236
125153.4.67.224/29153.4.67.225 to 153.4.67.230153.4.67.2316
126153.4.67.232/29153.4.67.233 to 153.4.67.238153.4.67.2396
127153.4.67.240/29153.4.67.241 to 153.4.67.246153.4.67.2476
128153.4.67.248/29153.4.67.249 to 153.4.67.254153.4.67.2556
129153.4.68.0/29153.4.68.1 to 153.4.68.6153.4.68.76
130153.4.68.8/29153.4.68.9 to 153.4.68.14153.4.68.156
131153.4.68.16/29153.4.68.17 to 153.4.68.22153.4.68.236
132153.4.68.24/29153.4.68.25 to 153.4.68.30153.4.68.316
133153.4.68.32/29153.4.68.33 to 153.4.68.38153.4.68.396
134153.4.68.40/29153.4.68.41 to 153.4.68.46153.4.68.476
135153.4.68.48/29153.4.68.49 to 153.4.68.54153.4.68.556
136153.4.68.56/29153.4.68.57 to 153.4.68.62153.4.68.636
137153.4.68.64/29153.4.68.65 to 153.4.68.70153.4.68.716
138153.4.68.72/29153.4.68.73 to 153.4.68.78153.4.68.796
139153.4.68.80/29153.4.68.81 to 153.4.68.86153.4.68.876
140153.4.68.88/29153.4.68.89 to 153.4.68.94153.4.68.956
141153.4.68.96/29153.4.68.97 to 153.4.68.102153.4.68.1036
142153.4.68.104/29153.4.68.105 to 153.4.68.110153.4.68.1116
143153.4.68.112/29153.4.68.113 to 153.4.68.118153.4.68.1196
144153.4.68.120/29153.4.68.121 to 153.4.68.126153.4.68.1276
145153.4.68.128/29153.4.68.129 to 153.4.68.134153.4.68.1356
146153.4.68.136/29153.4.68.137 to 153.4.68.142153.4.68.1436
147153.4.68.144/29153.4.68.145 to 153.4.68.150153.4.68.1516
148153.4.68.152/29153.4.68.153 to 153.4.68.158153.4.68.1596
149153.4.68.160/29153.4.68.161 to 153.4.68.166153.4.68.1676
150153.4.68.168/29153.4.68.169 to 153.4.68.174153.4.68.1756
151153.4.68.176/29153.4.68.177 to 153.4.68.182153.4.68.1836
152153.4.68.184/29153.4.68.185 to 153.4.68.190153.4.68.1916
153153.4.68.192/29153.4.68.193 to 153.4.68.198153.4.68.1996
154153.4.68.200/29153.4.68.201 to 153.4.68.206153.4.68.2076
155153.4.68.208/29153.4.68.209 to 153.4.68.214153.4.68.2156
156153.4.68.216/29153.4.68.217 to 153.4.68.222153.4.68.2236
157153.4.68.224/29153.4.68.225 to 153.4.68.230153.4.68.2316
158153.4.68.232/29153.4.68.233 to 153.4.68.238153.4.68.2396
159153.4.68.240/29153.4.68.241 to 153.4.68.246153.4.68.2476
160153.4.68.248/29153.4.68.249 to 153.4.68.254153.4.68.2556
161153.4.69.0/29153.4.69.1 to 153.4.69.6153.4.69.76
162153.4.69.8/29153.4.69.9 to 153.4.69.14153.4.69.156
163153.4.69.16/29153.4.69.17 to 153.4.69.22153.4.69.236
164153.4.69.24/29153.4.69.25 to 153.4.69.30153.4.69.316
165153.4.69.32/29153.4.69.33 to 153.4.69.38153.4.69.396
166153.4.69.40/29153.4.69.41 to 153.4.69.46153.4.69.476
167153.4.69.48/29153.4.69.49 to 153.4.69.54153.4.69.556
168153.4.69.56/29153.4.69.57 to 153.4.69.62153.4.69.636
169153.4.69.64/29153.4.69.65 to 153.4.69.70153.4.69.716
170153.4.69.72/29153.4.69.73 to 153.4.69.78153.4.69.796
171153.4.69.80/29153.4.69.81 to 153.4.69.86153.4.69.876
172153.4.69.88/29153.4.69.89 to 153.4.69.94153.4.69.956
173153.4.69.96/29153.4.69.97 to 153.4.69.102153.4.69.1036
174153.4.69.104/29153.4.69.105 to 153.4.69.110153.4.69.1116
175153.4.69.112/29153.4.69.113 to 153.4.69.118153.4.69.1196
176153.4.69.120/29153.4.69.121 to 153.4.69.126153.4.69.1276
177153.4.69.128/29153.4.69.129 to 153.4.69.134153.4.69.1356
178153.4.69.136/29153.4.69.137 to 153.4.69.142153.4.69.1436
179153.4.69.144/29153.4.69.145 to 153.4.69.150153.4.69.1516
180153.4.69.152/29153.4.69.153 to 153.4.69.158153.4.69.1596
181153.4.69.160/29153.4.69.161 to 153.4.69.166153.4.69.1676
182153.4.69.168/29153.4.69.169 to 153.4.69.174153.4.69.1756
183153.4.69.176/29153.4.69.177 to 153.4.69.182153.4.69.1836
184153.4.69.184/29153.4.69.185 to 153.4.69.190153.4.69.1916
185153.4.69.192/29153.4.69.193 to 153.4.69.198153.4.69.1996
186153.4.69.200/29153.4.69.201 to 153.4.69.206153.4.69.2076
187153.4.69.208/29153.4.69.209 to 153.4.69.214153.4.69.2156
188153.4.69.216/29153.4.69.217 to 153.4.69.222153.4.69.2236
189153.4.69.224/29153.4.69.225 to 153.4.69.230153.4.69.2316
190153.4.69.232/29153.4.69.233 to 153.4.69.238153.4.69.2396
191153.4.69.240/29153.4.69.241 to 153.4.69.246153.4.69.2476
192153.4.69.248/29153.4.69.249 to 153.4.69.254153.4.69.2556
193153.4.70.0/29153.4.70.1 to 153.4.70.6153.4.70.76
194153.4.70.8/29153.4.70.9 to 153.4.70.14153.4.70.156
195153.4.70.16/29153.4.70.17 to 153.4.70.22153.4.70.236
196153.4.70.24/29153.4.70.25 to 153.4.70.30153.4.70.316
197153.4.70.32/29153.4.70.33 to 153.4.70.38153.4.70.396
198153.4.70.40/29153.4.70.41 to 153.4.70.46153.4.70.476
199153.4.70.48/29153.4.70.49 to 153.4.70.54153.4.70.556
200153.4.70.56/29153.4.70.57 to 153.4.70.62153.4.70.636
201153.4.70.64/29153.4.70.65 to 153.4.70.70153.4.70.716
202153.4.70.72/29153.4.70.73 to 153.4.70.78153.4.70.796
203153.4.70.80/29153.4.70.81 to 153.4.70.86153.4.70.876
204153.4.70.88/29153.4.70.89 to 153.4.70.94153.4.70.956
205153.4.70.96/29153.4.70.97 to 153.4.70.102153.4.70.1036
206153.4.70.104/29153.4.70.105 to 153.4.70.110153.4.70.1116
207153.4.70.112/29153.4.70.113 to 153.4.70.118153.4.70.1196
208153.4.70.120/29153.4.70.121 to 153.4.70.126153.4.70.1276
209153.4.70.128/29153.4.70.129 to 153.4.70.134153.4.70.1356
210153.4.70.136/29153.4.70.137 to 153.4.70.142153.4.70.1436
211153.4.70.144/29153.4.70.145 to 153.4.70.150153.4.70.1516
212153.4.70.152/29153.4.70.153 to 153.4.70.158153.4.70.1596
213153.4.70.160/29153.4.70.161 to 153.4.70.166153.4.70.1676
214153.4.70.168/29153.4.70.169 to 153.4.70.174153.4.70.1756
215153.4.70.176/29153.4.70.177 to 153.4.70.182153.4.70.1836
216153.4.70.184/29153.4.70.185 to 153.4.70.190153.4.70.1916
217153.4.70.192/29153.4.70.193 to 153.4.70.198153.4.70.1996
218153.4.70.200/29153.4.70.201 to 153.4.70.206153.4.70.2076
219153.4.70.208/29153.4.70.209 to 153.4.70.214153.4.70.2156
220153.4.70.216/29153.4.70.217 to 153.4.70.222153.4.70.2236
221153.4.70.224/29153.4.70.225 to 153.4.70.230153.4.70.2316
222153.4.70.232/29153.4.70.233 to 153.4.70.238153.4.70.2396
223153.4.70.240/29153.4.70.241 to 153.4.70.246153.4.70.2476
224153.4.70.248/29153.4.70.249 to 153.4.70.254153.4.70.2556
225153.4.71.0/29153.4.71.1 to 153.4.71.6153.4.71.76
226153.4.71.8/29153.4.71.9 to 153.4.71.14153.4.71.156
227153.4.71.16/29153.4.71.17 to 153.4.71.22153.4.71.236
228153.4.71.24/29153.4.71.25 to 153.4.71.30153.4.71.316
229153.4.71.32/29153.4.71.33 to 153.4.71.38153.4.71.396
230153.4.71.40/29153.4.71.41 to 153.4.71.46153.4.71.476
231153.4.71.48/29153.4.71.49 to 153.4.71.54153.4.71.556
232153.4.71.56/29153.4.71.57 to 153.4.71.62153.4.71.636
233153.4.71.64/29153.4.71.65 to 153.4.71.70153.4.71.716
234153.4.71.72/29153.4.71.73 to 153.4.71.78153.4.71.796
235153.4.71.80/29153.4.71.81 to 153.4.71.86153.4.71.876
236153.4.71.88/29153.4.71.89 to 153.4.71.94153.4.71.956
237153.4.71.96/29153.4.71.97 to 153.4.71.102153.4.71.1036
238153.4.71.104/29153.4.71.105 to 153.4.71.110153.4.71.1116
239153.4.71.112/29153.4.71.113 to 153.4.71.118153.4.71.1196
240153.4.71.120/29153.4.71.121 to 153.4.71.126153.4.71.1276
241153.4.71.128/29153.4.71.129 to 153.4.71.134153.4.71.1356
242153.4.71.136/29153.4.71.137 to 153.4.71.142153.4.71.1436
243153.4.71.144/29153.4.71.145 to 153.4.71.150153.4.71.1516
244153.4.71.152/29153.4.71.153 to 153.4.71.158153.4.71.1596
245153.4.71.160/29153.4.71.161 to 153.4.71.166153.4.71.1676
246153.4.71.168/29153.4.71.169 to 153.4.71.174153.4.71.1756
247153.4.71.176/29153.4.71.177 to 153.4.71.182153.4.71.1836
248153.4.71.184/29153.4.71.185 to 153.4.71.190153.4.71.1916
249153.4.71.192/29153.4.71.193 to 153.4.71.198153.4.71.1996
250153.4.71.200/29153.4.71.201 to 153.4.71.206153.4.71.2076
251153.4.71.208/29153.4.71.209 to 153.4.71.214153.4.71.2156
252153.4.71.216/29153.4.71.217 to 153.4.71.222153.4.71.2236
253153.4.71.224/29153.4.71.225 to 153.4.71.230153.4.71.2316
254153.4.71.232/29153.4.71.233 to 153.4.71.238153.4.71.2396
255153.4.71.240/29153.4.71.241 to 153.4.71.246153.4.71.2476
256153.4.71.248/29153.4.71.249 to 153.4.71.254153.4.71.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses